import request from '@/utils/request'


export function getMapList(params) {
    return request({
        url: '/inspection/map/list', 
        method: 'get',
        params: params
    })
}

export function addMap(data) {
    return request({
        url: '/inspection/map',
        method: 'post',
        data: data
    })
}

export function updateMap(data) {
    return request({
        url: '/inspection/map',
        method: 'put',
        data: data
    })
}

export function deleteMap(id) {
    return request({
        url: `/inspection/map/${id}`,
        method: 'delete'
    })
}